curl --request GET \
--url https://api.investorlift.com/v3/people/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/people/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "AZ:person:0cfd14f8ee8f",
"state": "AZ",
"roles": [
"agent",
"borrower",
"principal",
"seller"
],
"name": null,
"display_name": null,
"name_variants": null,
"identity_basis": "E2,E3,E4",
"sightings": [
{
"source": "agent",
"subject_id": "AZ:agt:0cfd14f8ee8f",
"name": null,
"zip": "85033",
"roles": [
"agent"
],
"n_rows": 75,
"first_on": "2009-04-01",
"last_on": "2026-09-16",
"proof": "direct",
"evidence": []
},
{
"source": "borrower",
"subject_id": null,
"name": null,
"zip": "85035",
"roles": [
"borrower"
],
"n_rows": 1,
"first_on": "2013-10-30",
"last_on": "2013-10-30",
"proof": "direct",
"evidence": []
},
{
"source": "deed",
"subject_id": null,
"name": null,
"zip": "85014",
"roles": [
"seller"
],
"n_rows": 1,
"first_on": "2017-06-14",
"last_on": "2017-06-14",
"proof": "direct",
"evidence": []
},
{
"source": "registry",
"subject_id": "person:96feb35912ba",
"name": null,
"zip": "85040",
"roles": [
"principal"
],
"n_rows": 3,
"first_on": null,
"last_on": null,
"proof": "direct",
"evidence": []
},
{
"source": "registry",
"subject_id": "person:9f046ffb9e6a",
"name": null,
"zip": "85260",
"roles": [
"principal"
],
"n_rows": 7,
"first_on": null,
"last_on": null,
"proof": "direct",
"evidence": []
}
],
"zips": [
"85014",
"85033",
"85035",
"85040",
"85260"
],
"first_seen_on": "2009-04-01",
"last_seen_on": "2026-09-16",
"n_bought": 0,
"n_sold": 1,
"n_borrowed": 1,
"n_held": 0,
"n_indirect": 0,
"suspected": [],
"ledger": null,
"name_key": null,
"zip": "85260",
"n_entities": 10,
"n_entities_all": 10,
"n_deals": 1083,
"n_listings": 41,
"has_licence": true,
"agent_basis": "licence",
"agent": {
"id": "AZ:agt:0cfd14f8ee8f",
"kind": "PERSON",
"identity_basis": "licence",
"anchor_kind": "licence",
"anchor_shared": false,
"name_variants": null,
"licence": null,
"brokerages": [
{
"name": "DeLex Realty",
"n_rows": 9,
"last_listed_on": "2026-09-16",
"office_address": "10115 E Bell Rd # 5, Scottsdale, AZ, 85260-2189"
},
{
"name": "Delex Realty",
"n_rows": 14,
"last_listed_on": "2026-08-16",
"office_address": "10115 E Bell Rd # 105 Scottsdale AZ 85260-2189"
},
{
"name": "DeLex Realty LLC",
"n_rows": 1,
"last_listed_on": "2018-04-30",
"office_address": "1255 W. Baseline Rd. Mesa AZ 85202 US"
}
],
"current_brokerage": "DeLex Realty",
"counts": {
"n_mentions": 75,
"n_listings": 41,
"n_active": 4,
"n_pending": 0,
"n_sold": 9,
"n_off_market": 1,
"n_listed_12m": 7,
"first_listed_on": "2009-04-01",
"last_listed_on": "2026-09-16",
"n_zips": 20,
"last_zip": "85033"
}
},
"agent_orgs": [
{
"side": "seller",
"org_id": "AZ:L12070783",
"org_name": "WITTIAS PARTNERS LLC",
"from_registry": true,
"n_listings": 10,
"first_on": "2009-04-01",
"last_on": "2026-09-16",
"n_flagged": 0
}
],
"buyer": {
"n_deals": 0,
"first_deal_date": null,
"last_deal_date": null,
"total_price": null,
"n_sold": null,
"n_bought_from": null,
"n_sold_to": null
},
"buyer_org_id": null,
"orgs": [
{
"org_id": "AZ:L09606353",
"display_name": "ZAK VENTURES LLC",
"n_entities": 39
},
{
"org_id": "AZ:L12070783",
"display_name": "WITTIAS PARTNERS LLC",
"n_entities": 3
},
{
"org_id": "AZ:L15828189",
"display_name": "HOMES FOR HUMANITY ONE LLC",
"n_entities": 1
}
],
"filings": [
{
"entity_no": "23028419",
"entity_name": "ROESER INDUSTRIAL PARTNERS LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L09606353"
},
{
"entity_no": "23028419",
"entity_name": "ROESER INDUSTRIAL PARTNERS LLC",
"title": "Member and Manager",
"role": "member",
"org_id": "AZ:L09606353"
},
{
"entity_no": "23524518",
"entity_name": "ROESER INDUSTRIAL PARTNERS 2 LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L09606353"
},
{
"entity_no": "23524518",
"entity_name": "ROESER INDUSTRIAL PARTNERS 2 LLC",
"title": "Member and Manager",
"role": "member",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L12070783",
"entity_name": "BOLT BROTHERS MANUFACTURING CO LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L12070783",
"entity_name": "BOLT BROTHERS MANUFACTURING CO LLC",
"title": "Manager",
"role": "manager",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L12070783",
"entity_name": "BOLT BROTHERS MANUFACTURING CO LLC",
"title": "Member",
"role": "member",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L12070794",
"entity_name": "WITTIAS PARTNERS LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L12070794",
"entity_name": "WITTIAS PARTNERS LLC",
"title": "Manager",
"role": "manager",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L12070794",
"entity_name": "WITTIAS PARTNERS LLC",
"title": "Member",
"role": "member",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L15266420",
"entity_name": "ZR PROPERTIES LLC",
"title": "Manager",
"role": "manager",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L15349710",
"entity_name": "TRES AMIGOS PROPERTIES LLC",
"title": "Manager",
"role": "manager",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L15349710",
"entity_name": "TRES AMIGOS PROPERTIES LLC",
"title": "Member",
"role": "member",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L15828189",
"entity_name": "HOMES FOR HUMANITY ONE LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L15828189"
},
{
"entity_no": "L19904711",
"entity_name": "HUYA LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L19904711",
"entity_name": "HUYA LLC",
"title": "Member",
"role": "member",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L21334988",
"entity_name": "BUILDERZ WAREHOUSE LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L21334988",
"entity_name": "BUILDERZ WAREHOUSE LLC",
"title": "Manager",
"role": "manager",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L21334988",
"entity_name": "BUILDERZ WAREHOUSE LLC",
"title": "Member",
"role": "member",
"org_id": "AZ:L09606353"
},
{
"entity_no": "N19883790",
"entity_name": "HUYA LLC",
"title": "Applicant",
"role": "applicant",
"org_id": "AZ:N19883790"
},
{
"entity_no": "N21312930",
"entity_name": "BUILDERZ WAREHOUSE LLC",
"title": "Applicant",
"role": "applicant",
"org_id": "AZ:N21312930"
},
{
"entity_no": "N22299973",
"entity_name": "SUPERIOR BOLT AND NUT MANUFACTURING COMPANY LLC",
"title": "Applicant",
"role": "applicant",
"org_id": "AZ:N22299973"
},
{
"entity_no": "N22300020",
"entity_name": "SUPERIOR BOLT LLC",
"title": "Applicant",
"role": "applicant",
"org_id": "AZ:N22300020"
}
],
"addresses": null,
"channels": null
},
"meta": {
"generated_at": "2026-10-19T17:18:59.339Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-19T05:37:24.409Z",
"published_at": "2026-10-19T06:43:38.946Z",
"run_id": 1792388290,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887",
"str_as_of": "2026-10-18"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
}
]
}
}
}Get one person of the dataset
One person of the dataset: the roles, the organizations of the registry the person files with, the filings, and for an agent every phone, email and website of the feed with its counts and dates, the licence, the brokerages and the listing counts.
The path takes a person id, a buyer id or an agent id. The API follows a merged id and names it in meta.resolved_from. This host serves no name, licence or reach channel of a person.
A call costs 0 credits.
curl --request GET \
--url https://api.investorlift.com/v3/people/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/people/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "AZ:person:0cfd14f8ee8f",
"state": "AZ",
"roles": [
"agent",
"borrower",
"principal",
"seller"
],
"name": null,
"display_name": null,
"name_variants": null,
"identity_basis": "E2,E3,E4",
"sightings": [
{
"source": "agent",
"subject_id": "AZ:agt:0cfd14f8ee8f",
"name": null,
"zip": "85033",
"roles": [
"agent"
],
"n_rows": 75,
"first_on": "2009-04-01",
"last_on": "2026-09-16",
"proof": "direct",
"evidence": []
},
{
"source": "borrower",
"subject_id": null,
"name": null,
"zip": "85035",
"roles": [
"borrower"
],
"n_rows": 1,
"first_on": "2013-10-30",
"last_on": "2013-10-30",
"proof": "direct",
"evidence": []
},
{
"source": "deed",
"subject_id": null,
"name": null,
"zip": "85014",
"roles": [
"seller"
],
"n_rows": 1,
"first_on": "2017-06-14",
"last_on": "2017-06-14",
"proof": "direct",
"evidence": []
},
{
"source": "registry",
"subject_id": "person:96feb35912ba",
"name": null,
"zip": "85040",
"roles": [
"principal"
],
"n_rows": 3,
"first_on": null,
"last_on": null,
"proof": "direct",
"evidence": []
},
{
"source": "registry",
"subject_id": "person:9f046ffb9e6a",
"name": null,
"zip": "85260",
"roles": [
"principal"
],
"n_rows": 7,
"first_on": null,
"last_on": null,
"proof": "direct",
"evidence": []
}
],
"zips": [
"85014",
"85033",
"85035",
"85040",
"85260"
],
"first_seen_on": "2009-04-01",
"last_seen_on": "2026-09-16",
"n_bought": 0,
"n_sold": 1,
"n_borrowed": 1,
"n_held": 0,
"n_indirect": 0,
"suspected": [],
"ledger": null,
"name_key": null,
"zip": "85260",
"n_entities": 10,
"n_entities_all": 10,
"n_deals": 1083,
"n_listings": 41,
"has_licence": true,
"agent_basis": "licence",
"agent": {
"id": "AZ:agt:0cfd14f8ee8f",
"kind": "PERSON",
"identity_basis": "licence",
"anchor_kind": "licence",
"anchor_shared": false,
"name_variants": null,
"licence": null,
"brokerages": [
{
"name": "DeLex Realty",
"n_rows": 9,
"last_listed_on": "2026-09-16",
"office_address": "10115 E Bell Rd # 5, Scottsdale, AZ, 85260-2189"
},
{
"name": "Delex Realty",
"n_rows": 14,
"last_listed_on": "2026-08-16",
"office_address": "10115 E Bell Rd # 105 Scottsdale AZ 85260-2189"
},
{
"name": "DeLex Realty LLC",
"n_rows": 1,
"last_listed_on": "2018-04-30",
"office_address": "1255 W. Baseline Rd. Mesa AZ 85202 US"
}
],
"current_brokerage": "DeLex Realty",
"counts": {
"n_mentions": 75,
"n_listings": 41,
"n_active": 4,
"n_pending": 0,
"n_sold": 9,
"n_off_market": 1,
"n_listed_12m": 7,
"first_listed_on": "2009-04-01",
"last_listed_on": "2026-09-16",
"n_zips": 20,
"last_zip": "85033"
}
},
"agent_orgs": [
{
"side": "seller",
"org_id": "AZ:L12070783",
"org_name": "WITTIAS PARTNERS LLC",
"from_registry": true,
"n_listings": 10,
"first_on": "2009-04-01",
"last_on": "2026-09-16",
"n_flagged": 0
}
],
"buyer": {
"n_deals": 0,
"first_deal_date": null,
"last_deal_date": null,
"total_price": null,
"n_sold": null,
"n_bought_from": null,
"n_sold_to": null
},
"buyer_org_id": null,
"orgs": [
{
"org_id": "AZ:L09606353",
"display_name": "ZAK VENTURES LLC",
"n_entities": 39
},
{
"org_id": "AZ:L12070783",
"display_name": "WITTIAS PARTNERS LLC",
"n_entities": 3
},
{
"org_id": "AZ:L15828189",
"display_name": "HOMES FOR HUMANITY ONE LLC",
"n_entities": 1
}
],
"filings": [
{
"entity_no": "23028419",
"entity_name": "ROESER INDUSTRIAL PARTNERS LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L09606353"
},
{
"entity_no": "23028419",
"entity_name": "ROESER INDUSTRIAL PARTNERS LLC",
"title": "Member and Manager",
"role": "member",
"org_id": "AZ:L09606353"
},
{
"entity_no": "23524518",
"entity_name": "ROESER INDUSTRIAL PARTNERS 2 LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L09606353"
},
{
"entity_no": "23524518",
"entity_name": "ROESER INDUSTRIAL PARTNERS 2 LLC",
"title": "Member and Manager",
"role": "member",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L12070783",
"entity_name": "BOLT BROTHERS MANUFACTURING CO LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L12070783",
"entity_name": "BOLT BROTHERS MANUFACTURING CO LLC",
"title": "Manager",
"role": "manager",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L12070783",
"entity_name": "BOLT BROTHERS MANUFACTURING CO LLC",
"title": "Member",
"role": "member",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L12070794",
"entity_name": "WITTIAS PARTNERS LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L12070794",
"entity_name": "WITTIAS PARTNERS LLC",
"title": "Manager",
"role": "manager",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L12070794",
"entity_name": "WITTIAS PARTNERS LLC",
"title": "Member",
"role": "member",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L15266420",
"entity_name": "ZR PROPERTIES LLC",
"title": "Manager",
"role": "manager",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L15349710",
"entity_name": "TRES AMIGOS PROPERTIES LLC",
"title": "Manager",
"role": "manager",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L15349710",
"entity_name": "TRES AMIGOS PROPERTIES LLC",
"title": "Member",
"role": "member",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L15828189",
"entity_name": "HOMES FOR HUMANITY ONE LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L15828189"
},
{
"entity_no": "L19904711",
"entity_name": "HUYA LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L19904711",
"entity_name": "HUYA LLC",
"title": "Member",
"role": "member",
"org_id": "AZ:L12070783"
},
{
"entity_no": "L21334988",
"entity_name": "BUILDERZ WAREHOUSE LLC",
"title": "Statutory Agent",
"role": "agent",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L21334988",
"entity_name": "BUILDERZ WAREHOUSE LLC",
"title": "Manager",
"role": "manager",
"org_id": "AZ:L09606353"
},
{
"entity_no": "L21334988",
"entity_name": "BUILDERZ WAREHOUSE LLC",
"title": "Member",
"role": "member",
"org_id": "AZ:L09606353"
},
{
"entity_no": "N19883790",
"entity_name": "HUYA LLC",
"title": "Applicant",
"role": "applicant",
"org_id": "AZ:N19883790"
},
{
"entity_no": "N21312930",
"entity_name": "BUILDERZ WAREHOUSE LLC",
"title": "Applicant",
"role": "applicant",
"org_id": "AZ:N21312930"
},
{
"entity_no": "N22299973",
"entity_name": "SUPERIOR BOLT AND NUT MANUFACTURING COMPANY LLC",
"title": "Applicant",
"role": "applicant",
"org_id": "AZ:N22299973"
},
{
"entity_no": "N22300020",
"entity_name": "SUPERIOR BOLT LLC",
"title": "Applicant",
"role": "applicant",
"org_id": "AZ:N22300020"
}
],
"addresses": null,
"channels": null
},
"meta": {
"generated_at": "2026-10-19T17:18:59.339Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-19T05:37:24.409Z",
"published_at": "2026-10-19T06:43:38.946Z",
"run_id": 1792388290,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887",
"str_as_of": "2026-10-18"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
}
]
}
}
}Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key. The same key works on POST /mcp.
Path Parameters
The person id, as a search hit, an organization or a listing carries it, or the id of a sighting of the person.
Response
The person. meta.resolved_from lists the ids that redirected here.
The person. meta.resolved_from lists the ids that redirected here.
One person of the person layer: the roles, the agent block with every phone and email, the organizations, the deals, the filings, the addresses.
Show child attributes
Show child attributes
Response metadata of the /v3 family: when the API produced it, and the publishes behind the rows.
Show child attributes
Show child attributes
Was this page helpful?